HFST-OSPELL(1)

NAME
hfst-ospell - Spell checker tool based on HFST

SYNOPSIS
hfstospell [OPTIONS] [ZHFST-ARCHIVE]

DESCRIPTION
Use automata in ZHFST-ARCHIVE or from OPTIONS to check and correct

-h, --help
    Print this help message

-V, --version
    Print version information

-v, --verbose
    Be verbose

-q, --quiet
    Don't be verbose (default)

-s, --silent
    Same as quiet

-a, --analyse
    Analyse strings and corrections

-n, --limit=N
    Show at most N suggestions

-w, --max-weight=W
    Suppress corrections with weights above W

-b, --beam=W
    Suppress corrections worse than best candidate by more than W

-t, --time-cutoff=T
    Stop trying to find better corrections after T seconds (T is a float)

-S, --suggest
    Suggest corrections to mispellings

-X, --real-word
    Also suggest corrections to correct words

-m, --error-model
    Use this error model (must also give lexicon as option)

-l, --lexicon
    Use this lexicon (must also give erro model as option)

REPORTING BUGS
Report bugs to hfst-bugs@helsinki.fi

hfstospell 0.5.0 copyright (C) 2009 - 2018 University of Helsinki

SEE ALSO
The full documentation for hfst-ospell is maintained as a Texinfo manual. If the info and hfst-ospell programs are properly installed at your site, the command

    info hfst-ospell

should give you access to the complete manual.